Create a bridging request
curl --request POST \
--url https://production.hifibridge.com/v2/wallets/bridges \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "<string>",
"amount": 1,
"source": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"destination": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"requireApproval": false
}
'import requests
url = "https://production.hifibridge.com/v2/wallets/bridges"
payload = {
"requestId": "<string>",
"amount": 1,
"source": { "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" },
"destination": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"walletAddress": "<string>"
},
"requireApproval": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '<string>',
amount: 1,
source: {userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'},
destination: {userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a', walletAddress: '<string>'},
requireApproval: false
})
};
fetch('https://production.hifibridge.com/v2/wallets/bridges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.BRIDGE",
"transferDetails": {
"id": "9ccafd0f-e47f-43c2-8693-13741b67d638",
"requestId": "1d860428-1d0b-47c5-9e65-98961ff59215",
"createdAt": "2025-02-24T17:44:54.781519+00:00",
"updatedAt": "2025-02-24T17:57:01.185+00:00",
"amount": 0.01,
"status": "COMPLETED",
"source": {
"userId": "a804f891-b63c-4b36-99ee-0aa83e6facde",
"walletAddress": "0xE9cfBf1D690565579D823264170eE357f80e9A34",
"chain": "POLYGON",
"currency": "usdc"
},
"destination": {
"userId": "a804f891-b63c-4b36-99ee-0aa83e6facde",
"walletAddress": "0x17f043FB0a39334641beD627551AC095941157B0",
"chain": "ETHEREUM",
"currency": "usdc"
},
"receipt": {
"transactionHash": "0x17f043FB0a39334641beD627551AC095941157B0",
"operations": {
"mint": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "ETHEREUM"
},
"burn": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "POLYGON"
},
"approve": {
"transactionHash": "0x5784890f9efd0160e9401439a5cf2aa5350580ecf48f9ca2af617338ae089e53",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac",
"chain": "POLYGON"
}
}
},
"failedReason": null,
"fee": null,
"quoteInformation": {
"sendGross": {
"amount": "0.01",
"currency": "usdc"
},
"sendNet": {
"amount": "0.01",
"currency": "usdc"
},
"railFee": {
"amount": "0",
"currency": "usdc"
},
"receiveGross": {
"amount": "0.01",
"currency": "usdc"
},
"receiveNet": {
"amount": "0.01",
"currency": "usdc"
},
"rate": "1",
"expiresAt": "2025-02-25T17:44:54.781Z"
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Bridges
Create a bridging request
Create a bridging request to bridge crypto assets across chains.
POST
/
v2
/
wallets
/
bridges
Create a bridging request
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
unique identifier for the request (recommend using uuid v4)
amount of crypto currency to bridge
Required range:
x >= 0bridging source
Show child attributes
Show child attributes
bridging destination
Show child attributes
Show child attributes
Whether this bridging request requires approval before processing.
true: Request will enter approval workflowfalseor omitted: Request proceeds immediately
Example:
false
⌘I